Bug 268756 - NullPointerException at com.oracle.tools.ide.projectless.debug.utils.CorefileUtils.isCorefile
NullPointerException at com.oracle.tools.ide.projectless.debug.utils.Corefile...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
8.1
All All
: P3 (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-31 13:43 UTC by Alexander Simon
Modified: 2016-12-08 11:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (864 bytes, text/plain)
2016-10-31 13:43 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2016-10-31 13:43:44 UTC
Build: IDE for C, C++, and Fortran (Oracle Developer Studio 12.5 [2016/10/31 b9d7a5f16947])
VM: Java HotSpot(TM) 64-Bit Server VM, 25.74-b02, Java(TM) SE Runtime Environment, 1.8.0_74-b02
OS: Windows 7

User Comments:
alexvsimon: start IDE with opened projects and targets




Stacktrace: 
java.lang.NullPointerException
   at com.oracle.tools.ide.projectless.debug.utils.CorefileUtils.isCorefile(CorefileUtils.java:59)
   at com.oracle.tools.ide.projectless.debug.impl.CoreFileTargetsIDProvider.canHandle(CoreFileTargetsIDProvider.java:26)
   at com.oracle.tools.ide.projectless.utils.TargetUtils.getTargetID(TargetUtils.java:37)
   at com.oracle.tools.ide.projectless.api.TargetManager.getTarget(TargetManager.java:32)
   at com.oracle.tools.ide.projectless.impl.ProjectLessImplModuleInstaller$2$1.run(ProjectLessImplModuleInstaller.java:60)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
Comment 1 Alexander Simon 2016-10-31 13:43:45 UTC
Created attachment 162699 [details]
stacktrace
Comment 2 Maria Tishkova 2016-12-08 10:31:53 UTC
resolved in sputnik:
changeset:   21708:763a80baa1d9
tag:         tip
parent:      21706:cb9a01a50cce
user:        Maria Dalmatova <maria.tishkova@oracle.com>
date:        Thu Dec 08 13:30:47 2016 +0300
summary:     fixed bz#268756 -  NullPointerException at com.oracle.tools.ide.projectless.debug.utils.CorefileUtils.isCorefile
Comment 3 soldatov 2016-12-08 11:47:16 UTC
Verified in internal NetBeans 8,2 patch 1 build.
Really It is a bug Oracle Developer Studio IDE.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo